import { PWFNode } from './interface/PWFNode';
import { PWFMeshnode } from './interface/PWFMeshnode';
import { PWFMesh } from './interface/PWFMesh';
import { Vector3 } from '../../types/Math';
export declare class PWFModelParser {
    private nodeAB;
    private nodeBufferReader;
    private meshnodeAB;
    private meshnodeBufferReader;
    private meshAB;
    private meshBufferReader?;
    constructor(nodeAB: ArrayBuffer, meshnodeAB: ArrayBuffer, meshAB: ArrayBuffer);
    getGlobalOffset(): Vector3;
    getMeshnodeOffPointer(): number;
    parseNodes(): {
        nodes: PWFNode[];
        isComplete: boolean;
    };
    parseMeshnodes(): {
        meshnodes: PWFMeshnode[];
        isComplete: boolean;
    };
    getNumMeshnodes(): number;
    getNumMeshes(): number;
    getNumNodes(): number;
    parseMeshes(): PWFMesh[];
}
